# Namespace: loadingstrategy

## ol.loadingstrategy

Strategies for loading vector data.

See:
  - ol.source.ServerVector

### Methods

#### staticol.loadingstrategy.all(extent, resolution){Array.<ol.Extent>} experimental

src/ol/loadingstrategy.js, line 13

  Strategy function for loading all features with a single request.

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.
  `resolution` | number | Resolution.

  ##### Returns:

  Extents.

#### staticol.loadingstrategy.bbox(extent, resolution){Array.<ol.Extent>} experimental

src/ol/loadingstrategy.js, line 26

  Strategy function for loading features based on the view's extent and resolution.

  Name | Type | Description
  --- | --- | ---
  `extent` | ol.Extent | Extent.
  `resolution` | number | Resolution.

  ##### Returns:

  Extents.

#### staticol.loadingstrategy.createTile(tileGrid){function} experimental

src/ol/loadingstrategy.js, line 37

  Creates a strategy function for loading features based on a tile grid.

  Name | Type | Description
  --- | --- | ---
  `tileGrid` | ol.tilegrid.TileGrid | Tile grid.

  ##### Returns:

  Loading strategy.